## dtk6declarative 6.0.18

=== debian/changelog ===
dtk6declarative (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6declarative (6.0.17) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:03 +0000

dtk6declarative (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:50 +0800

dtk6declarative (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:16:29 +0800

dtk6declarative (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:26:27 +0800

dtk6declarative (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:16:15 +0800

dtk6declarative (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:51 +0800

dtk6declarative (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:26:16 +0800

dtk6declarative (6.0.10) unstable; urgency=medium

  * 6.0.10

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 13:36:36 +0800

dtk6declarative (6.0.9) unstable; urgency=medium

 * 6.0.9 

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 17:52:58 +0800

dtk6declarative (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:07:22 +0800

dtk6declarative (6.0.7) unstable; urgency=medium

  * Release 6.0.7

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 31 Jan 2024 18:48:58 +0800

dtk6declarative (6.0.6) unstable; urgency=medium

  * Release 6.0.6

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 30 Jan 2024 22:02:50 +0800

dtk6declarative (6.0.5) unstable; urgency=medium

  * Release 6.0.5

 -- Wang Yixue <wangyixue@deepin.org>  Thu, 18 Jan 2024 13:15:24 +0800

dtk6declarative (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:40 +0800

dtk6declarative (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:34 +0800

dtk6declarative (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 29 Nov 2023 15:43:17 +0800

dtk6declarative (6.0.1) unstable; urgency=medium

  * fix: should be libdtk6core instead of libdtkcore6
  * feat: support build archlinux package for qt6
  * fix: missing qml package for dpkg

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 27 Oct 2023 17:10:16 +0800

dtk6declarative (6.0.0) unstable; urgency=medium

  * fix: NavigationTitle is partially obscured(Issue: #44)
  * fix: PlaceholderText out of range(Issue: #42)
  * chore: Update README
  * chore: remove unnecessary workflows
  * feat: Support dpkg-buildpackage for qt6

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 10 Oct 2023 11:02:20 +0800

dtkdeclarative (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:17:44 +0800

dtkdeclarative (5.6.16) unstable; urgency=medium

  * feat: Adapt to qt6.4.2
  * feat: Support install lib and plugins for qt6
  * feat: Support install for example and template in qt6
  * fix: dpkg-buildpackage faild in qt6
  * fix: PKGBUILD qml_install_dir needs to be override

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkdeclarative (5.6.15) unstable; urgency=medium

  * feat: add UT for ButtonBox
  * feat: add UT for ArrowBoxPath
  * chore: add unit test ut_dquickglow
  * feat: Add UT for DSoftwareRoundedImageNode
  * feat: Add UT for DBlitFramebufferNode
  * chore: add unit test ut-iconlabel
  * feat: Add toImage function for DBlitFramebufferNode
  * chore: Can't support alpha for simpleTexture in UT
  * chore: add unit test ut-iconimage
  * chore: add unit test ut-dciiconimage
  * feat: Add UT for MaskEffectNode
  * chore: add unit test ut_dquickdciicon
  * fix: Compiling error for missing dependency
  * feat: Add UT for DSGBlurNode
  * fix: crash in ut_dquickdciiconimage
  * feat: Add UT for AppLoader-plugin
  * fix: PDS is not defined
  * chore: Remove some file for recoverage
  * chore: add unit test ut-contextMenuWindow
  * feat: Add UT for BehindWindowBlur
  * feat: Add UT for DQuickInWindowBlur
  * chore: Add unit test ut-dquickcoloroverlay
  * feat: Add UT for DQuickItemViewport
  * fix: UT failed sometimes
  * fix: UT failed in qt6
  * chore: Add unit test ut_dquickopacitymask
  * fix: UT failed in qt6 and Software renderer backend
  * fix:  DQuickItemViewport is error in software renderer
  * chore: Complementary unit test ut-globalobject
  * fix: UT failed in qt6
  * chore(UT): Wait for blur window exposed
  * fix: UT failed when unreset palette
  * feat: Add UT for DQuickBlitFrameBuffer
  * fix: PageIndicator is invalid
  * feat: Add UT to determine whether QML can load successfully
  * fix: UT failde sometimes
  * chore: Complementary unit test ut-dconfigwrapper
  * feat: Adapt to switch qt6 and qtf for qml-app-template

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 14:06:39 +0800

dtkdeclarative (5.6.14) unstable; urgency=medium

  * fix: typo
    Thanks to student-ice
  * feat: Support switching qt5 and qt6 for cmake(Issue: #87)
  * fix: Unsupported type for property assignment(Issue: #87)
  * fix: Crashed while debugging in Qt
  * feat: Support compiling between Qt5 and Qt6(Issue: #87)
  * feat: Support QQuickPalette in Qt6(Issue: #87)
  * feat: Forward ContentMenuEvent in Qt6(Issue: #87)
  * fix: Qt.color is invalid in qt5(Issue: #87)

