## dtk6declarative 6.0.25

=== debian/changelog ===
dtk6declarative (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:30:54 +0800

dtk6declarative (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:26:55 +0800

dtk6declarative (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:44:59 +0800

dtk6declarative (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 16:14:49 +0800

dtk6declarative (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:09:26 +0800

dtk6declarative (6.0.20) unstable; urgency=medium

  * release 6.0.20

 -- Mike Chen <chenke@deepin.org>  Mon, 23 Sep 2024 11:13:07 +0800

dtk6declarative (6.0.19) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000
