=== qt6/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(src)
add_subdirectory(src/qml/private)
add_subdirectory(src/qml/settings)
