=== tests/apploaderplugindump/CMakeLists.txt ===
add_subdirectory(preloadplugin)
add_subdirectory(maincomponentplugin)
