=== debian/changelog ===
dtk6declarative (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:54:31 +0800

dtk6declarative (6.0.33) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:20:51 +0800

dtk6declarative (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:38:56 +0800

dtk6declarative (6.0.31) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:57:44 +0800

dtk6declarative (6.0.30) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:15:13 +0800

dtk6declarative (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:08:05 +0800

dtk6declarative (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:18:31 +0800

dtk6declarative (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:17:18 +0800

dtk6declarative (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:13:50 +0800
