=== debian/control ===
Source: dtk6declarative
Section: libs
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat ( =12),
 cmake,
 libdtk6gui-dev,
 libdtk6core-dev,
 libdtkcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-declarative-private-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-shadertools-dev,
 pkg-kde-tools,
 libgtest-dev,
 doxygen,
 doxyqml,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: qml6-module-qtquick-controls2-styles-chameleon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 qml6-module-qtquick,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-shapes,
 qml6-module-qt5compat-graphicaleffects,
 qml6-module-qtqml-workerscript,
 qml6-module-qtquick-templates,
 qml6-module-qtquick-effects,
 libdtk6declarative( =${binary:Version})
Description: Deepin Tool Kit Qt Quick Controls 2 QML module
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.

Package: libdtk6declarative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libdtk6core
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.
 .
 This package contains the shared libraries.

Package: libdtk6declarative-dev
Architecture: any
Depends: ${misc:Depends},
 libdtk6declarative( =${binary:Version}) ,
 qml6-module-qtquick-controls2-styles-chameleon( =${binary:Version}),
 libdtk6gui-dev,
 libdtk6core-dev,
 libdtkcommon-dev,
 qt6-base-dev,
 qt6-declarative-dev
Description: Deepin Tool Kit Gui Devel library
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.
 .
 This package contains the header files and shared libraries of DtkDeclarative

Package: libdtk6declarative-doc
Architecture: any
Depends: ${misc:Depends}
Description: Deepin Tool Kit Gui Devel library (Document)
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.

Package: dtk6-exhibition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtk6declarative( =${binary:Version}),
 qml6-module-qtquick-controls2-styles-chameleon( =${binary:Version})
Description: Deepin Tool Kit QML Controls example.
 This package contains a applicatioin.
