## dtk6declarative 6.0.36.4

=== debian/changelog ===
dtk6declarative (6.0.36.4) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:24:07 +0800

dtk6declarative (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:44 +0800
