## dtk6declarative 6.0.38

=== debian/changelog ===
dtk6declarative (6.0.38) unstable; urgency=medium

  * Release 6.0.38

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:12:32 +0800

dtk6declarative (6.0.37) unstable; urgency=medium

  * Release 6.0.37

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:10:35 +0800

dtk6declarative (6.0.36) unstable; urgency=medium

  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative
  * sync: from linuxdeepin/dtkdeclarative

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:24:07 +0800
