=== debian/changelog ===
dtk6declarative (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:13:17 +0800
