=== debian/changelog ===
dtk6declarative (6.0.44.3) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:30 +0800

dtk6declarative (6.0.43) unstable; urgency=medium

  * Release 6.0.43

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:51:47 +0800

dtk6declarative (6.0.42) unstable; urgency=medium

  * Release 6.0.42

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:28:41 +0800
