## dtk6declarative 6.0.46

=== debian/changelog ===
dtk6declarative (6.0.46) unstable; urgency=medium

  * Release 6.0.46

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:03:17 +0800

dtk6declarative (6.0.45) unstable; urgency=medium

  * Release 6.0.45

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:48:49 +0800

dtk6declarative (6.0.44) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:30 +0800
