=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_DOCS=ON -DBUILD_VERSION=$(BUILD_VER) -DDTK_VERSION=$(PACK_VER)
+
+override_dh_makeshlibs:
+	dh_makeshlibs  -V "libdtk6declarative (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2,3))"
+
